import { IResourceDateTimeFormat } from '@oinone/kunlun-engine';
import { FormFieldWidget } from '../../../basic';
export declare class DetailDateTimeFieldWidget extends FormFieldWidget {
    initialize(props: any): this;
    protected resourceDateTimeFormat: IResourceDateTimeFormat;
    protected get format(): string | undefined;
    protected get valueFormat(): string | undefined;
    protected get dateFormat(): string | undefined;
    protected get timeFormat(): string | undefined;
    protected hasDateFormat: boolean;
    protected hasTimeFormat: boolean;
    protected convertFormat(format: string): string | undefined;
    protected convertDateFormat(format: string): string | undefined;
    protected convertTimeFormat(format: string): string | undefined;
    protected get justifyContent(): any;
    protected $$created(): Promise<void>;
}
